\documentclass{article}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{bussproofs}
\usepackage{showlabels}
\EnableBpAbbreviations
\usepackage{multicol}
\usepackage[
    type={CC},
    modifier={by-nc-sa},
    version={3.0},
]{doclicense}
\usepackage{geometry}
\geometry{margin=1.3in}
\geometry{top=0.5in}
\setlength{\parindent}{0cm}


\newcommand{\deltas}{\delta_1 \cdots \delta_n}

\title{Deducci\'on Natural en la L\'ogica Proposicional - Reglas
}
\date{}


\begin{document}
\maketitle{}
%\newpage

\paragraph{Conjunci\'on}\leavevmode
\begin{multicols}{3}
   \alwaysNoLine
  \AXC{$\deltas$}
  \UIC{$\vdots$}
  \UIC{$\alpha$}
    
  \AXC{$\deltas$}
  \UIC{$\vdots$}
  \UIC{$\beta$}
  
  \alwaysSingleLine
  \RightLabel{I$\wedge$}
  \BIC{$\alpha \wedge \beta$}
  %\end{prooftree}
  \DisplayProof
  
  
  \begin{center}
    
    \alwaysNoLine
    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\alpha \wedge \beta$}
    \alwaysSingleLine
    \RightLabel{E$\wedge_1$}
    \UIC{$\alpha$}
    \DisplayProof
  \end{center}
  
  \alwaysNoLine
  \AXC{$\deltas$}
  \UIC{$\vdots$}
  \UIC{$\alpha \wedge \beta$}
  \alwaysSingleLine
  \RightLabel{E$\wedge_2$}
  \UIC{$\beta$}
  \DisplayProof
\end{multicols}
\hrule



\paragraph{Disyunci\'on}\leavevmode

{\leftskip-4em
  
\begin{multicols}{3}
  
  \begin{center}
    \alwaysNoLine
    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\alpha $}
    \alwaysSingleLine
    \RightLabel{I$\vee_1$}
    \UIC{$\alpha \vee \beta$}
    \DisplayProof
  \end{center}
  
  \begin{center}
    \leftskip-1em
    \alwaysNoLine
    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\beta $}
    \alwaysSingleLine
    \RightLabel{I$\vee_2$}
    \UIC{$\alpha \vee \beta$}
    \DisplayProof
  \end{center}


  %\begin{center}
    \alwaysNoLine
    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\alpha \vee \beta$}
    
    \alwaysNoLine
    \AXC{$\deltas [\alpha]$}
    \UIC{$\vdots$}
    \UIC{$\delta$}

    \alwaysNoLine
    \AXC{$\deltas [\beta]$}
    \UIC{$\vdots$}
    \UIC{$\delta$}
    
    \alwaysSingleLine
    \RightLabel{E$\vee$}
    \TIC{$\delta$}
    \DisplayProof
  %\end{center}
\end{multicols}
}
\hrule

\paragraph{Implicaci\'on}\leavevmode

\begin{multicols}{2}
  \begin{center}
    \alwaysNoLine
    \AXC{$\deltas [\alpha]$}
    \UIC{$\vdots$}
    \UIC{$\beta$}

    \alwaysSingleLine
    \RightLabel{I$\rightarrow$}
    \UIC{$\alpha \rightarrow \beta$}
    \DisplayProof
  \end{center}

  \begin{center}
    \alwaysNoLine

    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\alpha \rightarrow \beta$}

    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\alpha$}
    
    \alwaysSingleLine
    \RightLabel{E$\rightarrow$}
    \BIC{$\beta$}
    \DisplayProof
  \end{center}
\end{multicols}
\hrule

\paragraph{Bicondicional}\leavevmode

\begin{multicols}{3}
  \begin{center}
    \alwaysNoLine
    
    \AXC{$\deltas [\alpha]$}
    \UIC{$\vdots$}
    \UIC{$\beta $}

    \AXC{$\deltas [\beta]$}
    \UIC{$\vdots$}
    \UIC{$\alpha $}

    \alwaysSingleLine
    \RightLabel{I$\leftrightarrow$}
    \BIC{$\alpha \leftrightarrow \beta$}
    \DisplayProof
  \end{center}

  \begin{center}
    \alwaysNoLine

    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\alpha \leftrightarrow \beta$}

    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\alpha$}
    
    \alwaysSingleLine
    \RightLabel{E$\leftrightarrow_1$}
    \BIC{$\beta$}
    \DisplayProof
  \end{center}

  \begin{center}
    \alwaysNoLine

    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\alpha \leftrightarrow \beta$}
    
    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\beta$}
    
    \alwaysSingleLine
    \RightLabel{E$\leftrightarrow_2$}
    \BIC{$\alpha$}
    \DisplayProof
  \end{center}
\end{multicols}
\hrule

\paragraph{Negaci\'on - Bottom}\leavevmode
\begin{multicols}{4}
  \begin{center}
    \alwaysNoLine
    \AXC{$\deltas [\alpha]$}
    \UIC{$\vdots$}
    \UIC{$\bot$}
    
    \alwaysSingleLine
    \RightLabel{I$\neg$}
    \UIC{$\neg\alpha$}
    \DisplayProof
  \end{center}
  
  \begin{center}
    \alwaysNoLine
    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\alpha$}

    \alwaysNoLine
    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\neg \alpha$}
    
    \alwaysSingleLine
    \RightLabel{E$\neg$}
    \BIC{$\bot$}
    \DisplayProof
  \end{center}

  
  \begin{center}
    \alwaysNoLine
    \AXC{$\deltas$}
    \UIC{$\vdots$}
    \UIC{$\bot$}
    
    \alwaysSingleLine
    \RightLabel{E$\bot$}
    \UIC{$\alpha$}
    \DisplayProof
  \end{center}

  
  \begin{center}
    \alwaysNoLine
    \AXC{$\deltas [\neg\alpha]$}
    \UIC{$\vdots$}
    \UIC{$\bot$}
    
    \alwaysSingleLine
    \RightLabel{RAA}
    \UIC{$\alpha$}
    \DisplayProof
  \end{center}
\end{multicols}




\end{document}
